Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.filter
Class ActionFilterService.ProviderDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
              org.eclipse.gmf.runtime.common.ui.services.action.filter.ActionFilterService.ProviderDescriptor

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener

Enclosing class:
  ActionFilterService

    protected static class ActionFilterService.ProviderDescriptor

extends Service.ProviderDescriptor

A descriptor for action filter providers defined by a configuration element.

Field Summary
`protected static java.lang.String` `A_NAME` The name of the 'name' XML attribute.
`protected static java.lang.String` `A_VALUE` The name of the 'value' XML attribute.
`protected static java.lang.String` `E_ATTRIBUTE` The name of the 'Attribute' XML element.

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`A_CLASS, A_PLUGIN, E_POLICY, policy, policyInitialized, provider`

Constructor Summary
`protected` `ActionFilterService.ProviderDescriptor(IConfigurationElement element)` Constructs a new action filter provider descriptor for the specified configuration element.

Method Summary
`boolean` `provides(IOperation operation)` Indicates whether this provider descriptor provides the specified operation.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`getElement, getPolicy, getProvider, providerChanged, toString`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Field Detail

### A_NAME

    protected static final java.lang.String A_NAME

  The name of the 'name' XML attribute.

  See Also:
    Constant Field Values

### A_VALUE

    protected static final java.lang.String A_VALUE

  The name of the 'value' XML attribute.

  See Also:
    Constant Field Values

### E_ATTRIBUTE

    protected static final java.lang.String E_ATTRIBUTE

  The name of the 'Attribute' XML element.

  See Also:
    Constant Field Values

Constructor Detail

### ActionFilterService.ProviderDescriptor

    protected ActionFilterService.ProviderDescriptor(IConfigurationElement element)

  Constructs a new action filter provider descriptor for the specified configuration element.

  Parameters:
    `element` - The configuration element describing the provider.

Method Detail

### provides

    public boolean provides(IOperation operation)

  Indicates whether this provider descriptor provides the specified operation.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `Service.ProviderDescriptor`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if the name and value (optional) of the specified operation matches the name and value (if provided) of one of the attributes (if any) defined for this provider descriptor or if this descriptor's policy or provider provides the operation; `false` otherwise.
  See Also:
    `IProvider.provides(IOperation)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.